> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Validates the auto-save buffer version of the Page

> Validate the current contents of the auto-save buffer. No data should be included in the request.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json POST /content/api/v2/pages/{page_id}/validate-buffer
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/validate-buffer:
    post:
      tags:
        - Pages
      summary: Validates the auto-save buffer version of the Page
      description: >-
        Validate the current contents of the auto-save buffer. No data should be
        included in the request.
      operationId: validatePageBuffer
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Validation result
          content:
            application/json:
              schema:
                type: object
                properties:
                  succeeded:
                    type: boolean
              examples:
                validation_result:
                  summary: Buffer validation response
                  value:
                    succeeded: true

````